Inductive theta : Set := 
 | th_log : theta
 | th_prog : theta.

Inductive better_theta : theta -> theta -> Prop :=
 | BetterAx : better_theta th_log th_prog
 | BetterRefl : forall th, better_theta th th.

Lemma BetterLog : forall th, better_theta th_log th.
  destruct th; constructor.
Qed.

Lemma BetterProg : forall th, better_theta th th_prog.
  destruct th; constructor.
Qed.
